{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h1 class="text-center blanco-text">Nuvo Tipo de Platillo</h1>
                <form class="mb-4" action="/guardarTipo/" method="post" enctype="multipart/form-data" id="frm_nuevo_tipo">
                    {% csrf_token %}
                    <div class="mb-3">
                        <label for="nombre_bf" class="form-label blanco-text">Nombre de Tipo de Platillo:</label>
                        <input type="text" name="nombre_bf" id="nombre_bf" value="" class="form-control" placeholder="Ingrese el Nombre del Tipo" required>
                    </div>
                    <div class="mb-3">
                        <label for="descripcion_bf" class="form-label blanco-text">Descripción:</label>
                        <textarea name="descripcion_bf" id="descripcion_bf" cols="3" class="form-control" placeholder="Ingrese la descripción:" required></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="categoria_bf" class="form-label blanco-text">Categoría:</label>
                        <input type="text" name="categoria_bf" id="categoria_bf" value="" class="form-control" placeholder="Ingrese la categoría:" required>
                    </div>
                    <div class="mb-3">
                        <label for="precio_bf" class="form-label blanco-text">Precio:</label>
                        <input type="number" name="precio_bf" id="precio_bf" value="" class="form-control" placeholder="Ingrese el precio del Tipo de Platillo:" required>
                    </div>
                    <div class="text-center">
                        <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                        <button type="reset" name="button" class="btn btn-danger">Cancelar</button>
                    </div>
                </form>
            </div>
            <div class="col-md-6">
                <h1 class="text-center">LISTADO DE LOS TIPOS DE PLATILLOS</h1>
                <table class="table" id="tbl_tipo">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>DESCRIPCION</th>
                            <th>CATEGORIA</th>
                            <th>PRECIO</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <TBody>
                        {% for tipo in tipos %}
                            <tr>
                                <td>{{ tipo.id_bf }}</td>
                                <td>{{ tipo.nombre_bf }}</td>
                                <td>{{ tipo.descripcion_bf }}</td>
                                <td>{{ tipo.categoria_bf }}</td>
                                <td>{{ tipo.precio_bf }}</td>
                                <td>
                                    <a href="/editarTipo/{{ tipo.id_bf }}" class="btn btn-warning">Editar</a>
                                    <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarTipo('/eliminarTipo/{{ tipo.id_bf }}');">Borrar</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </TBody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function eliminarTipo(url) {
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el tipo seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href = url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>

    <script type="text/javascript">
        $("#frm_nuevo_tipo").validate({
            rules: {
                "nombre_bf": {
                    required: true,
                    text: false
                },
                "descripcion_bf": {
                    required: true
                },
                "categoria_bf": {
                    required: true
                },
                "precio_bf": {
                    required: true
                }
            },
            messages: {
                "nombre_bf": {
                    required: "Por favor, ingrese un Tipo",
                    text: "Debe ingresar solo letras"
                },
                "descripcion_bf": {
                    required: "Debe ingresar una Descripción del Tipo"
                },
                "categoria_bf": {
                    required: "Debe ingresar una categoría"
                },
                "precio_bf": {
                    required: "Debe ingresar un precio",
                    number: "Debe ingresar solo números"
                }
            }
        });
    </script>

    <script type="text/javascript">
           //let table = new DataTable('#tbl_clientes');
           $(document).ready(function() {
               $('#tbl_tipo').DataTable({
                   dom: 'Bfrtip',
                   language: {
                     url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                   },
                   buttons: [
                       {
                           extend: 'pdfHtml5',
                           text: '<i class="fa fa-file-pdf-o"></i> PDF',
                           titleAttr: 'Exportar a PDF',
                           className: 'btn btn-danger', // Clase de estilo para el botón
                           title: 'LISTADO TIPOS'
                       },
                       {
                           extend: 'print',
                           text: '<i class="fa fa-print"></i> Imprimir',
                           titleAttr: 'Imprimir',
                           className: 'btn btn-primary' // Clase de estilo para el botón
                       },
                       {
                           extend: 'csv',
                           text: '<i class="fa fa-file-text-o"></i> CSV',
                           titleAttr: 'Exportar a CSV',
                           className: 'btn btn-success' // Clase de estilo para el botón
                       }
                   ]
               });
           });

          </script>
{% endblock %}
